SUSE: 2022:4154-1 important: krb5 | LinuxSecurity.com

   SUSE Security Update: Security update for krb5
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:4154-1
Rating:             important
References:         #1189929 #1205126 
Cross-References:   CVE-2021-37750 CVE-2022-42898
CVSS scores:
                    CVE-2021-37750 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-37750 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-42898 (SUSE): 6.4 CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:H/A:L

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15-ESPOS
                    SUSE Linux Enterprise High Performance Computing 15-LTSS
                    SUSE Linux Enterprise Server 15-LTSS
                    SUSE Linux Enterprise Server for SAP 15
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for krb5 fixes the following issues:

   - CVE-2021-37750: Fixed KDC null pointer dereference via a FAST inner body
     that lacks a server field (bsc#1189929).
   - CVE-2022-42898: Fixed integer overflow in PAC parsing (bsc#1205126).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-4154=1

   - SUSE Linux Enterprise Server 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-2022-4154=1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4154=1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4154=1



Package List:

   - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):

      krb5-1.15.2-150000.6.17.1
      krb5-client-1.15.2-150000.6.17.1
      krb5-client-debuginfo-1.15.2-150000.6.17.1
      krb5-debuginfo-1.15.2-150000.6.17.1
      krb5-debugsource-1.15.2-150000.6.17.1
      krb5-devel-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1
      krb5-server-1.15.2-150000.6.17.1
      krb5-server-debuginfo-1.15.2-150000.6.17.1

   - SUSE Linux Enterprise Server for SAP 15 (x86_64):

      krb5-32bit-1.15.2-150000.6.17.1
      krb5-32bit-debuginfo-1.15.2-150000.6.17.1

   - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):

      krb5-1.15.2-150000.6.17.1
      krb5-client-1.15.2-150000.6.17.1
      krb5-client-debuginfo-1.15.2-150000.6.17.1
      krb5-debuginfo-1.15.2-150000.6.17.1
      krb5-debugsource-1.15.2-150000.6.17.1
      krb5-devel-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1
      krb5-server-1.15.2-150000.6.17.1
      krb5-server-debuginfo-1.15.2-150000.6.17.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):

      krb5-1.15.2-150000.6.17.1
      krb5-client-1.15.2-150000.6.17.1
      krb5-client-debuginfo-1.15.2-150000.6.17.1
      krb5-debuginfo-1.15.2-150000.6.17.1
      krb5-debugsource-1.15.2-150000.6.17.1
      krb5-devel-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1
      krb5-server-1.15.2-150000.6.17.1
      krb5-server-debuginfo-1.15.2-150000.6.17.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (x86_64):

      krb5-32bit-1.15.2-150000.6.17.1
      krb5-32bit-debuginfo-1.15.2-150000.6.17.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):

      krb5-1.15.2-150000.6.17.1
      krb5-client-1.15.2-150000.6.17.1
      krb5-client-debuginfo-1.15.2-150000.6.17.1
      krb5-debuginfo-1.15.2-150000.6.17.1
      krb5-debugsource-1.15.2-150000.6.17.1
      krb5-devel-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1
      krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-1.15.2-150000.6.17.1
      krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1
      krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1
      krb5-server-1.15.2-150000.6.17.1
      krb5-server-debuginfo-1.15.2-150000.6.17.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (x86_64):

      krb5-32bit-1.15.2-150000.6.17.1
      krb5-32bit-debuginfo-1.15.2-150000.6.17.1


References:

   https://www.suse.com/security/cve/CVE-2021-37750.html
   https://www.suse.com/security/cve/CVE-2022-42898.html
   https://bugzilla.suse.com/1189929
   https://bugzilla.suse.com/1205126

SUSE: 2022:4154-1 important: krb5

November 21, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for krb5 fixes the following issues: - CVE-2021-37750: Fixed KDC null pointer dereference via a FAST inner body that lacks a server field (bsc#1189929). - CVE-2022-42898: Fixed integer overflow in PAC parsing (bsc#1205126). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Server for SAP 15: zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-4154=1 - SUSE Linux Enterprise Server 15-LTSS: zypper in -t patch SUSE-SLE-Product-SLES-15-2022-4154=1 - SUSE Linux Enterprise High Performance Computing 15-LTSS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4154=1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-4154=1 Package List: - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64): krb5-1.15.2-150000.6.17.1 krb5-client-1.15.2-150000.6.17.1 krb5-client-debuginfo-1.15.2-150000.6.17.1 krb5-debuginfo-1.15.2-150000.6.17.1 krb5-debugsource-1.15.2-150000.6.17.1 krb5-devel-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1 krb5-server-1.15.2-150000.6.17.1 krb5-server-debuginfo-1.15.2-150000.6.17.1 - SUSE Linux Enterprise Server for SAP 15 (x86_64): krb5-32bit-1.15.2-150000.6.17.1 krb5-32bit-debuginfo-1.15.2-150000.6.17.1 - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x): krb5-1.15.2-150000.6.17.1 krb5-client-1.15.2-150000.6.17.1 krb5-client-debuginfo-1.15.2-150000.6.17.1 krb5-debuginfo-1.15.2-150000.6.17.1 krb5-debugsource-1.15.2-150000.6.17.1 krb5-devel-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1 krb5-server-1.15.2-150000.6.17.1 krb5-server-debuginfo-1.15.2-150000.6.17.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64): krb5-1.15.2-150000.6.17.1 krb5-client-1.15.2-150000.6.17.1 krb5-client-debuginfo-1.15.2-150000.6.17.1 krb5-debuginfo-1.15.2-150000.6.17.1 krb5-debugsource-1.15.2-150000.6.17.1 krb5-devel-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1 krb5-server-1.15.2-150000.6.17.1 krb5-server-debuginfo-1.15.2-150000.6.17.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (x86_64): krb5-32bit-1.15.2-150000.6.17.1 krb5-32bit-debuginfo-1.15.2-150000.6.17.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64): krb5-1.15.2-150000.6.17.1 krb5-client-1.15.2-150000.6.17.1 krb5-client-debuginfo-1.15.2-150000.6.17.1 krb5-debuginfo-1.15.2-150000.6.17.1 krb5-debugsource-1.15.2-150000.6.17.1 krb5-devel-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-1.15.2-150000.6.17.1 krb5-plugin-kdb-ldap-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-1.15.2-150000.6.17.1 krb5-plugin-preauth-otp-debuginfo-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-1.15.2-150000.6.17.1 krb5-plugin-preauth-pkinit-debuginfo-1.15.2-150000.6.17.1 krb5-server-1.15.2-150000.6.17.1 krb5-server-debuginfo-1.15.2-150000.6.17.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (x86_64): krb5-32bit-1.15.2-150000.6.17.1 krb5-32bit-debuginfo-1.15.2-150000.6.17.1

References

#1189929 #1205126

Cross- CVE-2021-37750 CVE-2022-42898

CVSS scores:

CVE-2021-37750 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

CVE-2021-37750 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

CVE-2022-42898 (SUSE): 6.4 CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:H/A:L

Affected Products:

SUSE Linux Enterprise High Performance Computing 15-ESPOS

SUSE Linux Enterprise High Performance Computing 15-LTSS

SUSE Linux Enterprise Server 15-LTSS

SUSE Linux Enterprise Server for SAP 15

https://www.suse.com/security/cve/CVE-2021-37750.html

https://www.suse.com/security/cve/CVE-2022-42898.html

https://bugzilla.suse.com/1189929

https://bugzilla.suse.com/1205126

Severity
Announcement ID: SUSE-SU-2022:4154-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.